const DIET_SPECIAL_FOOD = [

];

const DIET_GRAINS = [
	"supernatural:animal_blood",
	"supernatural:player_blood",
	"supernatural:villager_blood"
];

const DIET_SUGARS = [
	"supernatural:animal_blood",
	"supernatural:player_blood",
	"supernatural:villager_blood"
];
	
const DIET_PROTEINS = [
	"supernatural:animal_blood",
	"supernatural:player_blood",
	"supernatural:villager_blood"
];

const DIET_VEGETABLES = [
	
];

const DIET_FRUITS = [
	'ars_nouveau:source_berry'
];

onEvent('item.tags', event => {
    for (var item of DIET_SPECIAL_FOOD) {
		event.get('diet:special_food').add(item);
	}
	
    for (var item of DIET_GRAINS) {
		event.get('diet:grains').add(item);
	}
	
    for (var item of DIET_SUGARS) {
		event.get('diet:sugars').add(item);
	}
	
	for (var item of DIET_PROTEINS) {
		event.get('diet:proteins').add(item);
	}
	
	for (var item of DIET_VEGETABLES) {
		event.get('diet:vegetables').add(item);
	}
	
	for (var item of DIET_FRUITS) {
		event.get('diet:fruits').add(item);
	}
})